{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('configuration/survey_result/overview') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('configuration/survey_result/overview') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Umfrageergebnisse</span>
        <a href="{{ path('configuration_survey_result_create') }}" class="mdc-button mdc-button--raised mdc-button--leading ms-auto">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">add</i>
            <span class="mdc-button__label d-none d-md-block">Umfrageergebnis einstellen</span>
        </a>
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        {% if surveyResults is empty %}
            <div class="mdc-card mb-4 text-center p-4">
                Aktuell stehen sind keine Umfrageergebnisse eingestellt.
            </div>
        {% else %}
            <div class="row md-4">
                {% for surveyResult in surveyResults %}
                    <div class="col-md-4 mb-3">
                        {% include 'configuration/component/survey_result/survey_result_card.html.twig' with {'surveyResult': surveyResult} only %}
                    </div>
                {% endfor %}
            </div>
        {% endif %}
    </div>
{% endblock %}
